Skip to main content
GET
/
private-records
/
{record_id}
/
documents
Get extracted financial documents for private record
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/private-records/{record_id}/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "original_filename": "<string>",
      "document_type": "balance_sheet",
      "period": "2023-12-25",
      "analysis": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_items": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

record_id
string<uuid>
required

Unique identifier of the private record

Example:

"b25e7b65-e46a-40d5-a0f2-0de8c2b354aa"

Query Parameters

file_id
string<uuid> | null

Filter documents by specific financial file ID

Example:

"a1b2c3d4-5678-90ab-cdef-1234567890ab"

document_types
enum<string>[] | null

Filter by document types

Available options:
balance_sheet,
income_statement,
cashflow_statement
period_from
string<date> | null

Filter documents from this period (inclusive)

Example:

"2025-01-01"

period_to
string<date> | null

Filter documents up to this period (inclusive)

Example:

"2025-03-31"

analysis_status
boolean | null

Filter documents by analysis status

order_by
enum<string>
default:created_at

Field to order the results by

Available options:
created_at,
updated_at,
period
order_dir
enum<string>
default:desc

Order direction

Available options:
asc,
desc
limit
integer
required

Maximum number of items to return

Required range: x <= 100
Examples:

10

20

50

offset
integer
required

Number of items to skip for pagination

Required range: x >= 0
Examples:

0

10

20

Response

Successful Response

items
PrivateRecordFinancialDocument · object[]
required

List of financial documents

total_items
integer
required

Total number of financial documents

Required range: x >= 0
Examples:

1

20

50